/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.MotivoCancelVendaPacote;

/**
 * 
 * @author Bruno
 * 
 */
public interface MotivoCancelVendaPacoteService extends GenericService<MotivoCancelVendaPacote, Integer> {

	public List<MotivoCancelVendaPacote> buscar(String descmotivocancel, String tipomotivocancel);

	public List<MotivoCancelVendaPacote> obtenerTodosTipoMotivoCancel();

	public List<MotivoCancelVendaPacote> obtenerTodosEspecificos(Integer[] motivos);

	public boolean validaMotivoCancelVendaPacoteConstante(MotivoCancelVendaPacote motivoCancelVendaPacote);
}
